'***************************************************************************************
'
' MikronautsVGA64_Demo
'
' Copyright 2011 William Henning
'
' http://Mikronauts.com
' mikronauts@gmail.com
'
' DESCRIPTION:
'
' SINGLE COG 64 column text mode driver demo with varying number of rows of text
'
'       64x60, 64x48, 64x40, 64x32, 64x30, 64x24, 64x20
'       64x16, 64x15, 64x12, 64x10, 64x8,  64x6,  64x5
'
' ONLY un-comment one of the font files in MikronautsVGA64 !!!!!
'
' NOTES:
'
' I have two other drivers that use these same fonts to provide many more text modes:
'
' - MikronautsVGA80 provides 80 colums; requires the Prop to run at 100Mhz (16*6.25MHz)
' - MikronautsSVGA50 provides 50 columns; runs at 16*5.00Mhz
'
'***************************************************************************************

CON

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000


OBJ

  vga : "MikronautsVGA64" ' for 64 column single cog drivers - requires 5.00Mhz crystal

VAR

  long x, y

PUB start

  vga.start(16)

  vga.cls

  repeat y from 0 to vga#lines - 1
    repeat x from 0 to vga#chars - 1
      vga.put(x,y,(y*vga#chars+x)&255)

  repeat
    repeat 100000
    vga.scroll


